Trigger Item Workflow
curl --request POST \
--url https://api.jtl-cloud.com/erp/items/{itemId}/workflow/{workflowEventId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/workflow/{workflowEventId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/workflow/{workflowEventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Trigger Item Workflow
Trigger a specific workflow event for a given item
POST
/
items
/
{itemId}
/
workflow
/
{workflowEventId}
Trigger Item Workflow
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the event for that the manual workflow event should be started. 1 = Created, 2 = Changed, 3 = Deleted
Available options:
1, 2, 3 Response
Was this page helpful?
⌘I